Bug 481345 - SSO doesn't clear cookies / logout problems
SSO doesn't clear cookies / logout problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: SSO (Show other bugs)
current
All Linux
low Severity medium
: ---
: ---
Assigned To: Tracy Lewis
Julian R. Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 11:47 EST by Stephen Herr
Modified: 2013-03-03 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-22 11:10:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2009-01-23 11:47:04 EST
Description of problem:
When switching from various areas of Red Hat's website some SSO cookies can remain even after you've logged out, making some code think that you are still logged in.

Version-Release number of selected component (if applicable):
MR8 (and previous)

How reproducible:
always

Steps to Reproduce:
1. log in to rhn.redhat.com
2. log out
3. go to www.redhat.com
  
Actual results:
There is a "logout" link in the top-right corner of the page. No amount of clicking it and reloading will change it to the correct "log in" link.

Expected results:
"log in" link is displayed.

Additional info:
The issue comes from having stale information in cookies; deleting cookies resets the link back to "log in".
Comment 1 Tracy Lewis 2011-11-22 10:59:12 EST
The ownership of UGC tickets is being transition to me. I am reviewing all open tickets to verify the issue still exists, if any more info can be provided, etc. Please provide the latest update by Nov. 30th, otherwise I will assume the issue has been resolved. ~Tracy
Comment 2 Stephen Herr 2011-11-22 11:10:46 EST
This appears to have been fixed.

Note You need to log in before you can comment on or make changes to this bug.